Skip to main content
PUT
/
api
/
v1
/
public
/
groups
/
{groupId}
Update a content group
curl --request PUT \
  --url https://eu.phrase.com/control-hub/api/v1/public/groups/{groupId} \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "description": "<string>"
}
'
import requests

url = "https://eu.phrase.com/control-hub/api/v1/public/groups/{groupId}"

payload = {
    "name": "<string>",
    "description": "<string>"
}
headers = {"Content-Type": "application/json"}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'PUT',
  headers: {'Content-Type': 'application/json'},
  body: JSON.stringify({name: '<string>', description: '<string>'})
};

fetch('https://eu.phrase.com/control-hub/api/v1/public/groups/{groupId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "id": "<string>",
  "name": "<string>",
  "createdAt": "<string>",
  "updatedAt": "<string>",
  "description": "<string>"
}
{
  "code": "NotBlank/NotFound/Error/...",
  "message": "Organization UID cannot be null",
  "args": {},
  "errors": [
    {
      "message": "<string>",
      "code": "<string>",
      "args": {}
    }
  ]
}
{
  "code": "NotBlank/NotFound/Error/...",
  "message": "Organization UID cannot be null",
  "args": {},
  "errors": [
    {
      "message": "<string>",
      "code": "<string>",
      "args": {}
    }
  ]
}
{
  "code": "NotBlank/NotFound/Error/...",
  "message": "Organization UID cannot be null",
  "args": {},
  "errors": [
    {
      "message": "<string>",
      "code": "<string>",
      "args": {}
    }
  ]
}
{
  "code": "NotBlank/NotFound/Error/...",
  "message": "Organization UID cannot be null",
  "args": {},
  "errors": [
    {
      "message": "<string>",
      "code": "<string>",
      "args": {}
    }
  ]
}
{
  "code": "NotBlank/NotFound/Error/...",
  "message": "Organization UID cannot be null",
  "args": {},
  "errors": [
    {
      "message": "<string>",
      "code": "<string>",
      "args": {}
    }
  ]
}

Path Parameters

groupId
string
required

Content group identifier

Body

application/json
name
string
required

Content group name (not required to be unique within the organization)

Minimum string length: 1
description
string

Optional free-text description

Response

Content group updated

id
string
required

Unique identifier of the content group

name
string
required

Content group name (not required to be unique within the organization)

createdAt
string
required

When the content group was created — timestamp (ISO-8601 format)

updatedAt
string
required

When the content group was last updated — timestamp (ISO-8601 format)

description
string

Optional free-text description